<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[0.1-0.99x)">
        <condition name = "ZOOM_RATIO" min = "0.1" max = "0.99"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99-1.0x) dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0-3.0x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "3.0"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning_video"/>
        </outState>

        <rule name = "ZOOM[1.0-3.0x) AEC_HDR = 1">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "3.0"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0"/>
            <condition name = "AEC_HDR" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "idag"/>
            </outState>
        </rule>
    </rule>

    <rule name = "default rule: ZOOM[3.0-10.0x)">
        <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
        <outState>
            <camera name = "tele" prev = "true" stage = "binning"/>
        </outState>

        <rule name = "ZOOM[3.0-10.0x) short distance">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0"/>
            <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning_video"/>
            </outState>

            <rule name = "child rule : ZOOM[3.0-10.0x)  short distance dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "wide" prev = "true" stage = "binning_video"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>

        <rule name = "ZOOM[3.0-10.0x) long distance">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0"/>
            <condition name = "OBJECT_DISTANCE" min = "600.0" max = "9999.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "tele" prev = "true" stage = "binning"/>
            </outState>

            <rule name = "child rule : ZOOM[3.0-10.0x)  long distance dual streams">
                <condition name = "DISTANCE_CHANGE" value = "1"/>
                <outState>
                    <camera name = "tele" prev = "true"/>
                    <camera name = "wide"/>
                </outState>
            </rule>
        </rule>

        <rule name = "ZOOM[3.0-10.0x) low brightness">
            <condition name = "ZOOM_RATIO" min = "3.0" max = "10.1"/>
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning_video"/>
            </outState>
        </rule>
    </rule>
</MultiCameraConfigTable>